{
  "compilerOptions": {
    "allowJs": true,
    "allowSyntheticDefaultImports": true,
    "declaration": false,
    "emitDecoratorMetadata": true,
    "esModuleInterop": true,
    "experimentalDecorators": true,
    "forceConsistentCasingInFileNames": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "lib": ["dom", "dom.iterable", "ESNext"],
    "module": "ESNext",
    "moduleResolution": "node",
    "noEmit": true,
    "noEmitOnError": true,
    "noFallthroughCasesInSwitch": true,
    "noImplicitAny": false,
    "noImplicitReturns": true,
    "noImplicitThis": true,
    "noUnusedLocals": false,
    "preserveConstEnums": true,
    "pretty": true,
    "removeComments": true,
    "resolveJsonModule": true,
    "skipLibCheck": true,
    "sourceMap": true,
    "strict": true,
    "strictFunctionTypes": false,
    "target": "ES2020",
    "baseUrl": ".",
    "paths": {
      "components/*": ["src/components/*"],
      "fonts/*": ["src/assets/fonts/*"],
      "images/*": ["src/assets/images/*"],
      "pages/*": ["src/pages/*"],
      "routes/*": ["src/routes/*"],
      "styles/*": ["src/styles/*"],
      "utils/*": ["src/utils/*"],
      "hooks/*": ["src/hooks/*"],
      "types/*": ["src/types/*"]
    }
  },
  "include": ["./src/**/*"],
  "exclude": ["node_modules", "**/*.spec.ts", "**/*.test.ts"]
}
